@if (chartDefinition?.abscissa?.length > 0) {
  @switch (chartDefinition.type) {
    @case ('PIE') {
      <sqtm-app-custom-report-pie-chart
        [chartDefinition]="chartDefinition"
        [layout]="layout"
      ></sqtm-app-custom-report-pie-chart>
    }
    @case ('BAR') {
      <sqtm-app-custom-report-bar-chart
        [chartDefinition]="chartDefinition"
        [layout]="layout"
      ></sqtm-app-custom-report-bar-chart>
    }
    @case ('CUMULATIVE') {
      <sqtm-app-custom-report-cumulative-chart
        [chartDefinition]="chartDefinition"
        [layout]="layout"
      ></sqtm-app-custom-report-cumulative-chart>
    }
    @case ('COMPARATIVE') {
      <sqtm-app-custom-report-comparative-chart
        [chartDefinition]="chartDefinition"
        [layout]="layout"
      ></sqtm-app-custom-report-comparative-chart>
    }
    @case ('TREND') {
      <sqtm-app-custom-report-trend-chart
        [chartDefinition]="chartDefinition"
        [layout]="layout"
      ></sqtm-app-custom-report-trend-chart>
    }
  }
} @else {
  <div class="full-width full-height flex-column font-16-px">
    <div class="full-width flex-fixed-size flex-row chart-message m-t-20">
      <b>{{ chartDefinition.name }}</b>
    </div>
    <div class="full-width full-height flex-row chart-message">
      {{
        'sqtm-core.custom-report-workspace.chart.messages.no-data' | translate
      }}
    </div>
  </div>
}
